View Issue Details

IDProjectCategoryView StatusLast Update
13644Bug reports[All Projects] Survey takingpublic2018-06-27 15:29
ReporterDanielBAssigned Toc_schmitz 
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary13644: CDbException when switching to database sessions in config.php
DescriptionWhen switching to database sessions, the users can not start the surveys anymore. Instead an error page (see attachment) appears. This has been tested with existing surveys and also with new surveys created after the switch to database sessions. After switching back (commenting the database session part out in config.php) everything else seems to work normally again.

Steps To ReproduceSwitch to database sessions, try to start a survey by calling the link of the survey.
Additional InformationAs a test, I upgraded the system to the 3.x-branch, hoping this would fix the problem. It didn't.

If possible, please fix this for the 2.7 branch, too. Upgrading all templates and surveys for the new template system of 3.x would be a nightmare for me. :)
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.73.1+171220
I will donate to the project if issue is resolvedYes
BrowserFirefox 59.0.2
Database & DB-VersionMicrosoft SQL Server Standard (64-bit) Version 12.0.5579.0 (SQL Server 2014 SP2 CU11)
Operating System (Server)Windows Server 2012 R2
Webserver software & versionApache 2.4.32 (32 Bit)
PHP VersionPHP 5.6.34

Activities

DanielB

DanielB

2018-05-02 12:17

reporter  

CDbException.htm (24,708 bytes)
c_schmitz

c_schmitz

2018-06-26 18:51

administrator   ~48304

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27542
c_schmitz

c_schmitz

2018-06-26 18:53

administrator   ~48305

@DanielB: Sorry that it took such a long time to fix this issue - there is no donation required, ofc.
Please update to the latest version and you should be able to use database sessions on MSSQL properly.
c_schmitz

c_schmitz

2018-06-26 19:14

administrator   ~48307

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27543
c_schmitz

c_schmitz

2018-06-27 15:29

administrator   ~48328

Version 3.12.3+180627 released

Related Changesets

LimeSurvey: master e40c9efe

2018-06-26 18:50:25

c_schmitz

Details Diff
Fixed issue 13644: Error when activating database sessions and using MSSQL
mod - application/config/version.php Diff File
mod - application/core/db/MssqlSchema.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File

LimeSurvey: master 040c89a3

2018-06-26 19:14:05

c_schmitz

Details Diff
Fixed issue 13644: Error when activating database sessions and using MSSQL
mod - application/helpers/update/updatedb_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-05-02 12:17 DanielB New Issue
2018-05-02 12:17 DanielB File Added: CDbException.htm
2018-06-26 13:54 LouisGac Assigned To => c_schmitz
2018-06-26 13:54 LouisGac Status new => assigned
2018-06-26 18:51 c_schmitz Changeset attached => LimeSurvey master e40c9efe
2018-06-26 18:51 c_schmitz Note Added: 48304
2018-06-26 18:51 c_schmitz Resolution open => fixed
2018-06-26 18:53 c_schmitz Status assigned => resolved
2018-06-26 18:53 c_schmitz Note Added: 48305
2018-06-26 19:14 c_schmitz Changeset attached => LimeSurvey master 040c89a3
2018-06-26 19:14 c_schmitz Note Added: 48307
2018-06-27 15:29 c_schmitz Note Added: 48328
2018-06-27 15:29 c_schmitz Status resolved => closed